function model = transform_kbase_gene(model)


for i = 1:size(model.genes)
    
    t = char(model.genes(i));
    inx = strfind(t,'.');
    
    if inx > 0

    E1 = t(inx(1)+1:inx(2)-1);
    E2 = t(inx(2)+1:end);

    model.genes{i} = strcat(E1,'.',E2);
    end
end
